/**
 * Informatique Industrielle et Java
 * Solution de l'exercice 3.4 chapitre3
 * 
 * @author F. Mallet 
 * @version 1
 */
import javax.swing.Timer ;
import java.awt.event.ActionListener ;
import java.awt.event.ActionEvent ;

public class HorlogeTimer implements ActionListener {
    private Horloge horloge;
    private Timer timer ;
    public HorlogeTimer (int minutes, int secondes) {
    	  horloge = new Horloge(minutes, secondes);

/* Cr?er un timer, le d?lai est 100 ms, this est enregistr? comme un ?couteur, this est de type Horloge qui impl?mente l'interface ActionListener */
        timer = new Timer(100, this);
    }

/** La classe HorlogeTimer impl?mente l'interface ActionListener 
 *  cette m?thode est invoqu?e par l'objet timer ? chaque fois
 *  que 100 ms sont ?coul?es.
 */
    public void actionPerformed(ActionEvent ae) {
        horloge.incrementerSecondes();
    }    
    public void start() {
        timer.start() ;
    }
    public void stop() {
        timer.stop() ;
    }
}
